﻿using System;
using System.Speech.Synthesis;
using System.Windows.Forms;

namespace Test_Speech_Voices {

  public partial class Form1 : Form {

    public Form1() {

      InitializeComponent();
    }

    private void Form1_Load(object sender, EventArgs e) {

      comboBox1.Items.Clear();
      comboBox2.Items.Clear();

      using (SpeechSynthesizer _ss = new SpeechSynthesizer()) {

        _ss.SetOutputToDefaultAudioDevice();

        foreach (InstalledVoice v in _ss.GetInstalledVoices()) {

          comboBox1.Items.Add(v.VoiceInfo.Name);
          comboBox2.Items.Add(v.VoiceInfo.Name);
        }
      }

      if (comboBox1.Items.Count == 0) {

        MessageBox.Show("No installed voices on your system");

        Close();

        return;
      }

      comboBox1.SelectedIndex = 0;
      comboBox2.SelectedIndex = 0;
    }

    private void button1_Click(object sender, EventArgs e) {

      PromptBuilder builder = new PromptBuilder();
      builder.AppendText(textBox1.Text);

      using (SpeechSynthesizer _ss = new SpeechSynthesizer()) {

        _ss.SetOutputToDefaultAudioDevice();

        _ss.SelectVoice(comboBox1.SelectedItem.ToString());

        _ss.Speak(builder);
      }
    }

    private void button2_Click(object sender, EventArgs e) {

      PromptBuilder builder = new PromptBuilder();
      builder.StartVoice(comboBox2.SelectedItem.ToString());
      builder.AppendText(textBox2.Text);
      builder.EndVoice();

      using (SpeechSynthesizer _ss = new SpeechSynthesizer()) {

        _ss.SetOutputToDefaultAudioDevice();

        _ss.Speak(builder);
      }
    }
  }
}
